Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
assetmgrmodel::AssetStripConfig::RackUnitSettings Struct Reference

Settings for a single rack unit (LED state) More...

`import <AssetStripConfig.idl;`

## Public Attributes
LEDOperationMode | opmode
| Operation mode for this rack unit.
LEDMode | mode
| LED mode (on,off,blinking)
LEDColor | color
| Color of the LED at this rack unit.
string | name
| user defined name (up to 64 alphanumeric characters)

## Detailed Description

Settings for a single rack unit (LED state)

Definition at line 111 of file AssetStripConfig.idl.

## Member Data Documentation

## ◆ color

LEDColor assetmgrmodel::AssetStripConfig::RackUnitSettings::color

Color of the LED at this rack unit.

Definition at line 114 of file AssetStripConfig.idl.

## ◆ mode

LEDMode assetmgrmodel::AssetStripConfig::RackUnitSettings::mode

LED mode (on,off,blinking)

Definition at line 113 of file AssetStripConfig.idl.

## ◆ name

string assetmgrmodel::AssetStripConfig::RackUnitSettings::name

user defined name (up to 64 alphanumeric characters)

Definition at line 115 of file AssetStripConfig.idl.

## ◆ opmode

LEDOperationMode assetmgrmodel::AssetStripConfig::RackUnitSettings::opmode

Operation mode for this rack unit.

Definition at line 112 of file AssetStripConfig.idl.

The documentation for this struct was generated from the following file:

- AssetStripConfig.idl